VirtualBox Main API

Public Attributes | List of all members
IFsInfo Interface Reference

Abstract parent interface for VirtualBox file system information. More...

Inheritance diagram for IFsInfo:

## Public Attributes
readonly attribute long long | freeSize
| Remaining free space (in bytes) of the filesystem.
readonly attribute long long | totalSize
| Total space (in bytes) of the filesystem.
readonly attribute unsigned long | blockSize
| Block size (in bytes) of the filesystem.
readonly attribute unsigned long | sectorSize
| Sector size (in bytes) of the filesystem.
readonly attribute unsigned long | serialNumber
| Serial number of the filesystem.
readonly attribute boolean | isRemote
| `TRUE` if the filesystem is remote, `FALSE` if the filesystem is local.
readonly attribute boolean | isCaseSensitive
| `TRUE` if the filesystem is case sensitive, `FALSE` if the filesystem is case insensitive.
readonly attribute boolean | isReadOnly
| `TRUE` if the filesystem is mounted read only, `FALSE` if the filesystem is mounted read write.
readonly attribute boolean | isCompressed
| `TRUE` if the filesystem is compressed, `FALSE` if it isn't or we don't know.
readonly attribute boolean | supportsFileCompression
| `TRUE` if the filesystem compresses of individual files, `FALSE` if it doesn't or we don't know.
readonly attribute unsigned long | maxComponent
| The maximum size of a filesystem object name.
readonly attribute wstring | type
| Name of the filesystem.
readonly attribute wstring | label
| Label of the filesystem.
readonly attribute wstring | mountPoint
| Mount point of the filesystem.

## Detailed Description

Abstract parent interface for VirtualBox file system information.

This can be information about a host or guest file system, for example.

Interface ID:
  `{3DB2AB1A-6CF7-42F1-8BF5-E1C0553E0B30}`

## Member Data Documentation

## ◆ freeSize

readonly attribute long long IFsInfo::freeSize

Remaining free space (in bytes) of the filesystem.

## ◆ totalSize

readonly attribute long long IFsInfo::totalSize

Total space (in bytes) of the filesystem.

## ◆ blockSize

readonly attribute unsigned long IFsInfo::blockSize

Block size (in bytes) of the filesystem.

## ◆ sectorSize

readonly attribute unsigned long IFsInfo::sectorSize

Sector size (in bytes) of the filesystem.

## ◆ serialNumber

readonly attribute unsigned long IFsInfo::serialNumber

Serial number of the filesystem.

## ◆ isRemote

readonly attribute boolean IFsInfo::isRemote

`TRUE` if the filesystem is remote, `FALSE` if the filesystem is local.

## ◆ isCaseSensitive

readonly attribute boolean IFsInfo::isCaseSensitive

`TRUE` if the filesystem is case sensitive, `FALSE` if the filesystem is case insensitive.

## ◆ isReadOnly

readonly attribute boolean IFsInfo::isReadOnly

`TRUE` if the filesystem is mounted read only, `FALSE` if the filesystem is mounted read write.

## ◆ isCompressed

readonly attribute boolean IFsInfo::isCompressed

`TRUE` if the filesystem is compressed, `FALSE` if it isn't or we don't know.

## ◆ supportsFileCompression

readonly attribute boolean IFsInfo::supportsFileCompression

`TRUE` if the filesystem compresses of individual files, `FALSE` if it doesn't or we don't know.

## ◆ maxComponent

readonly attribute unsigned long IFsInfo::maxComponent

The maximum size of a filesystem object name.

## ◆ type

readonly attribute wstring IFsInfo::type

Name of the filesystem.

## ◆ label

readonly attribute wstring IFsInfo::label

Label of the filesystem.

## ◆ mountPoint

readonly attribute wstring IFsInfo::mountPoint

Mount point of the filesystem.